<?php 
require get_template_directory() . '/inc/helper_functions.php';
require get_template_directory() . '/inc/load-google-fonts.php';
/**
 * WordPress Latest Release
 */
require get_template_directory() . '/inc/compatability/wp_latest_release.php';
/**
 * provide 3rd party plugin support
 */
require get_template_directory() . '/inc/plugin-support.php';
/**
 * lifter template loading direction
 */
require get_template_directory() . '/inc/compatability/lifter.php';
/**
 * Learnpress override template
 */
require get_template_directory() . '/inc/compatability/learnpress.php';
/**
 * LMS related functions
 */
if(class_exists('sensei_course')){
	require get_template_directory() . '/inc/sensei.php';
}
if(class_exists('LearnPress')){
	require get_template_directory() . '/inc/learnpress.php';
}
if(class_exists('SFWD_LMS')){
	require get_template_directory() . '/inc/learndash.php';
}
/**
 * Customizer 
 */
require_once get_template_directory() . '/inc/customizer/init.php';
Edumodo_Cutomizer::init();
/**
 * customizer color
 */
add_action( 'wp_head', 'edumodo_customizer_stylesheet', 100 );
function edumodo_customizer_stylesheet() {
	require_once get_template_directory() . '/inc/style_helper.php';
	$style_files = glob(EDUMODO_THEME_DIR . '/inc/style/*.php');
	foreach ($style_files as $file) {
		require $file;
	}
}
/**
 * Edumodo filter and hooks
 */
require_once get_template_directory() . '/inc/hooks/actions/header.php';
Edumodo_Header_hooks::init();
require_once get_template_directory() . '/inc/hooks/actions/footer.php';
Edumodo_Footer_hooks::init();
require_once get_template_directory() . '/inc/hooks/actions/lifter.php';
Edumodo_Lifter_hooks::init();
require_once get_template_directory() . '/inc/hooks/actions/layout.php';
Edumodo_Layout_hooks::init();
require_once get_template_directory() . '/inc/hooks/filters/filters.php';
Edumodo_Filter_Hooks::init();
/**
 * notice
 */
require_once get_template_directory() . '/inc/notice.php';
require_once get_template_directory() . '/inc/dependency/plugin.php';
Edumodo_Plugin_Dependency_Notice::init();

add_action('customize_register', 'edumodo_customizer_styles');
function edumodo_customizer_styles(){
	wp_enqueue_style(
		'edumodo-customize-style',
		EDUMODO_THEME_URI.'dist/css/customizer.css'
	);
}

?>